Package org.h2.test.db

# Class TestTableEngines.TreeSetIndexTableEngine

java.lang.Object
org.h2.test.db.TestTableEngines.TreeSetIndexTableEngine

All Implemented Interfaces:
  `TableEngine`

Enclosing class:
  `TestTableEngines`

public static class TestTableEngines.TreeSetIndexTableEngine extends Object implements TableEngine
A table engine that internally uses a tree set.

## Constructor Summary

Constructors
Constructor
Description
`TreeSetIndexTableEngine()`

## Method Summary

Modifier and Type
Method
Description
`Table`
`createTable(CreateTableData data)`
Create new table.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeSetIndexTableEngine

public TreeSetIndexTableEngine()

## Method Details

### createTable

public Table createTable(CreateTableData data)
Description copied from interface: `TableEngine`
Create new table.

Specified by:
  `createTable` in interface `TableEngine`
Parameters:
  `data` - the data to construct the table
Returns:
  the created table